package com.zcloud.zcGbsServicer.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.zcGbsServicer.domain.gateway.PumpRoomGateway;
import com.zcloud.zcGbsServicer.domain.model.PumpRoomE;
import com.zcloud.zcGbsServicer.dto.PumpRoomUpdateCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:22:16
*/
@Component
@AllArgsConstructor
public class PumpRoomUpdateExe {
    private final PumpRoomGateway pumpRoomGateway;

    @Transactional(rollbackFor = Exception.class)
    public void execute(PumpRoomUpdateCmd pumpRoomUpdateCmd) {
        PumpRoomE pumpRoomE = new PumpRoomE();
        BeanUtils.copyProperties(pumpRoomUpdateCmd, pumpRoomE);
        boolean res = pumpRoomGateway.update(pumpRoomE);
        if (!res) {
            throw new BizException("修改失败");
        }
    }
}

